exception Error of string * int * string
exception Eof

val get_file_name : unit -> string
val set_file_name : string -> unit
val get_line_column : string -> int -> int * int
val get_current_location : unit -> string * int

val token : Lexing.lexbuf -> Parser.token
;;
