(* $Id: gontmodule.mli,v 1.5 2001/11/18 23:15:43 malekith Exp $ *)

open Gontutil

val save : string -> out_channel -> decl list -> unit

val reset : unit -> unit

val globals : string -> (ty * id) list

exception Has_no_symbol of ty

(* first string is module name, second -- symbol name *)
val import_symbol : string -> string -> symbol
val assign_symbol : string -> string -> symbol -> unit

(* Check whatever we can read module interface file, raise Error if not. *)
val open_module : string -> unit
;;
